gnutls_openpgp_crt_get_auth_subkey(3)

NAME
gnutls_openpgp_crt_get_auth_subkey - Gets the keyID of an authentication subkey

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_auth_subkey(gnutls_openpgp_crt_t crt, gnutls_openpgp_keyid_t keyid, unsigned int flag);

ARGUMENTS

gnutls_openpgp_crt_t crt
    the structure that contains the OpenPGP public key.

gnutls_openpgp_keyid_t keyid
    the struct to save the keyid.

unsigned int flag
    Non zero indicates that a valid subkey is always returned.

DESCRIPTION
Returns the 64-bit keyID of the first valid OpenPGP subkey marked for authentication. If flag is non zero and no authentication subkey exists, then a valid subkey will be returned even if it is not marked for authentication. Returns the 64-bit keyID of the first valid OpenPGP subkey marked for authentication. If flag is non zero and no authentication subkey exists, then a valid subkey will be returned even if it is not marked for authentication.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.